// Copyright (C) Kimmo Lahtinen - All Rights Reserved

// Input from engine (per vertex)
attribute highp vec2 in_pos;
attribute lowp 	vec4 in_color;

// Output to pixel shader
varying lowp vec4 pixel_color;

void main(void)
{
	gl_Position = to_screen_pos_3d(vec3(in_pos.x, in_pos.y, 0.0));
	pixel_color = in_color;
}
